<?xml version="1.0" encoding="ISO-8859-1"?>
<document xmlns:lxslt="http://xml.apache.org/xslt">
<properties><title>StatCVS Developers: farkas</title></properties>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <meta name="Generator" content="StatCVS 0.4.0"/>
    <link rel="stylesheet" href="objectlab-statcvs-xdoc.css" type="text/css"/>
  </head>

<body><section name="StatCVS Developers: farkas">
<div id="parentlink">&#171; <a href="index.html">Development Statistics for  StatCVS</a> &#171; <a href="developers.html">Developers</a></div>
<dl class="attributes">
    <dt>Login name:</dt>
    <dd>farkas</dd>
    <dt>Total Commits:</dt>
    <dd>8 (0.2%)</dd>
    <dt>Lines of Code:</dt>
    <dd>55 (0.1%)</dd>
    <dt>Most Recent Commit:</dt>
    <dd><span class="date">2003-08-11 14:35</span></dd>
</dl>

<div class="section">
<subsection name ="Activity by Clock Time">
<p class="chart"><img src="activity_time_farkas.png" alt="Activity by Hour of Day for farkas" width="512" height="320" /></p><p class="chart"><img src="activity_day_farkas.png" alt="Activity by Day of Week for farkas" width="512" height="320" /></p></subsection></div>
<div class="section">
<subsection name ="Activity in Directories">
  <table  class="statCvsTable" rules="groups" summary="Overview of this author's activities in different directories">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>Directory</th>
        <th>Changes</th>
        <th>Lines of Code</th>
        <th>Lines per Change</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th>Totals</th>
        <td>8 (100.0%)</td>
        <td>55 (100.0%)</td>
        <td>6.8</td>
      </tr>
    </tfoot>
    <tbody>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_input.html" class="directory">statcvs/src/net/sf/statcvs/input/</a></th>
        <td>6 (75.0%)</td>
        <td>42 (76.4%)</td>
        <td>7.0</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_util.html" class="directory">statcvs/src/net/sf/statcvs/util/</a></th>
        <td>1 (12.5%)</td>
        <td>8 (14.5%)</td>
        <td>8.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_model.html" class="directory">statcvs/src/net/sf/statcvs/model/</a></th>
        <td>1 (12.5%)</td>
        <td>5 (9.1%)</td>
        <td>5.0</td>
      </tr>
    </tbody>
  </table>

<p class="chart"><img src="directory_sizes_farkas.png" alt="Activity of farkas" width="720" height="450" /></p></subsection></div>
<div class="section">
<subsection name ="Most Recent Commits">
<dl class="commitlist">
  <dt><a name="3"></a>
    <a href="user_farkas.html" class="author">farkas</a>
    <span class="date">2003-08-11 14:35</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.7</span></span>
  </dt>
  <dd>
    <p class="comment">
Made methods protected so that subclasses can implement their own<br />
filtering.
    </p>
    <p class="commitdetails"><strong>5</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CommitListBuilder.java?rev=1.7&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilder.java</a>&#160;<span class="change">(+5&#160;-5)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="2"></a>
    <a href="user_farkas.html" class="author">farkas</a>
    <span class="date">2003-08-11 12:34</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.11</span></span>
  </dt>
  <dd>
    <p class="comment">
Fixed incorrect javadoc
    </p>
    <p class="commitdetails"><strong>4</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/Builder.java?r1=1.10&amp;r2=1.11" class="webrepository">Builder.java</a>&#160;<span class="change">(+4&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="1"></a>
    <a href="user_farkas.html" class="author">farkas</a>
    <span class="date">2003-03-17 13:13</span>
  </dt>
  <dd>
    <p class="comment">
Basic null escaping and small performance improvements.
    </p>
    <p class="commitdetails"><strong>46</strong> lines of code changed in <span class="files">6 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsFileBlockParser.java?r1=1.22&amp;r2=1.23" class="webrepository">CvsFileBlockParser.java</a>&#160;<span class="change">(+9&#160;-9)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsLogParser.java?rev=1.22&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsLogParser.java</a>&#160;<span class="change">(+6&#160;-5)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsRevisionParser.java?r1=1.19&amp;r2=1.20" class="webrepository">CvsRevisionParser.java</a>&#160;<span class="change">(+6&#160;-6)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/LogSyntaxException.java?r1=1.9&amp;r2=1.10" class="webrepository">LogSyntaxException.java</a>&#160;<span class="change">(+2&#160;-8)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/RepositoryFileManager.java?r1=1.15&amp;r2=1.16" class="webrepository">RepositoryFileManager.java</a>&#160;<span class="change">(+15&#160;-15)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/DateUtils.java?rev=1.9&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">DateUtils.java</a>&#160;<span class="change">(+8&#160;-9)</span>
      </li>
    </ul>
  </dd>

</dl>

</subsection></div></section><div id="generatedby">Generated by <a href="http://statcvs.sourceforge.net">StatCVS</a> 0.4.0</div>
</body>
</document>